You are not logged in.

#1 2007-08-24 14:34:11

kandrews
Member
Registered: 2007-04-21
Posts: 119

perl-xml-sax conflict prevents pacman from updating [SOLVED]

When I run pacman -Syu, I get this:

(36/36) checking for file conflicts                 [####################################] 100%
error: could not prepare transaction
error: failed to commit transaction (conflicting files)
perl-xml-sax: /usr/lib/perl5/site_perl/current/XML/SAX/ParserDetails.ini exists in filesystem

errors occurred, no packages were upgraded.

Can I get some pointers on how to fix this? I tried searching the forums for anyone else having this problem but no dice.

Thanks!

edit: enrique's advice worked and the system upgraded. big_smile

Last edited by kandrews (2007-08-24 15:19:16)

Offline

#2 2007-08-24 14:54:02

enrique
Member
Registered: 2005-10-25
Posts: 92
Website

Re: perl-xml-sax conflict prevents pacman from updating [SOLVED]

I had the same problem when installing xmltv.

First I checked what package owned the file: pacman -Qo /usr/lib/perl5/site_perl/current/XML/SAX/ParserDetails.ini

Then I removed the package, and I still got a similar error, so I just removed the file, because no package owned it any longer.


Kind regards, enrique

Offline

Board footer

Powered by FluxBB